### Function

# Gtk TreeCellDataFunc

#### Declaration

    void
    TreeCellDataFunc (
      GtkTreeViewColumn* tree_column,
      GtkCellRenderer* cell,
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

A function to set the properties of a cell instead of just using the straight mapping between the cell and the model.

This function is useful for customizing the cell renderer. For example, a function might get an* integer from the `tree_model`, and render it to the “text” attribute of “cell” by converting it to its written equivalent.

See also: gtk_tree_view_column_set_cell_data_func().

#### Parameters

`tree_column` | `GtkTreeViewColumn`
| A `GtkTreeViewColumn`.
| The data is owned by the caller of the function.
`cell` | `GtkCellRenderer`
| The `GtkCellRenderer` that is being rendered by `tree_column`.
| The data is owned by the caller of the function.
`tree_model` | `GtkTreeModel`
| The `GtkTreeModel` being rendered.
| The data is owned by the caller of the function.
`iter` | `GtkTreeIter`
| A `GtkTreeIter` of the current row rendered.
| The data is owned by the caller of the function.
`data` | `gpointer`
| User data.